Bug 126000 - init script has wrong path to the configuration file
init script has wrong path to the configuration file
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: net-snmp (Show other bugs)
2
All Linux
medium Severity low
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-14 21:29 EDT by Radu Greab
Modified: 2015-03-04 20:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-15 10:53:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radu Greab 2004-06-14 21:29:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
/etc/rc.d/init.d/snmptrapd contains:

[ -e /etc/snmp/snmptrapd.options ] && . /etc/snmpd/snmpdtrapd.options
                                                 ^     ^
The second path has two extra "d" letters, so it is wrong.


Version-Release number of selected component (if applicable):
net-snmp-5.1.1-2

How reproducible:
Always

Steps to Reproduce:
1. Try to set options for snmptrapd.
2.
3.
    

Additional info:
Comment 1 Phil Knirsch 2004-06-15 10:53:46 EDT
Fixed in CVS, will be included in next build.

Read ya, Phil
Comment 2 Radu Greab 2004-06-21 14:52:54 EDT
Also, shouldn't
OPTIONS="-Lsd -p /var/run/snmptrapd.pid"
be 
[ -z "$OPTIONS" ] && OPTIONS="-Lsd -p /var/run/snmptrapd.pid"
?

My understanding is that /etc/snmp/snmptrapd.options may be used to
set options for snmptrapd, but those options are not used currently.

Note You need to log in before you can comment on or make changes to this bug.